curl --request GET \
--url "${UNSTRUCTURED_API_URL}/api/v1/workflows/f0a1b2c3-4d5e-6f7a-8b9c-0d1e2f3a4b5c/notifications/channels/c1d2e3f4-5a6b-7c8d-9e0f-1a2b3c4d5e6f" \
--header "unstructured-api-key: ${UNSTRUCTURED_API_KEY}"
import os
from unstructured_client import UnstructuredClient
from unstructured_client.models.operations import GetWorkflowChannelApiV1WorkflowsWorkflowIdNotificationsChannelsChannelIdGetRequest
client = UnstructuredClient(
api_key_auth=os.getenv("UNSTRUCTURED_API_KEY"),
server_url=os.getenv("UNSTRUCTURED_API_URL"),
)
response = client.workflows.get_workflow_channel(
request=GetWorkflowChannelApiV1WorkflowsWorkflowIdNotificationsChannelsChannelIdGetRequest(
workflow_id="f0a1b2c3-4d5e-6f7a-8b9c-0d1e2f3a4b5c",
channel_id="c1d2e3f4-5a6b-7c8d-9e0f-1a2b3c4d5e6f",
)
)
print(response)
import asyncio
import os
from unstructured_client import UnstructuredClient
from unstructured_client.models.operations import GetWorkflowChannelApiV1WorkflowsWorkflowIdNotificationsChannelsChannelIdGetRequest
async def get_workflow_channel():
client = UnstructuredClient(
api_key_auth=os.getenv("UNSTRUCTURED_API_KEY"),
server_url=os.getenv("UNSTRUCTURED_API_URL"),
)
response = await client.workflows.get_workflow_channel_async(
request=GetWorkflowChannelApiV1WorkflowsWorkflowIdNotificationsChannelsChannelIdGetRequest(
workflow_id="f0a1b2c3-4d5e-6f7a-8b9c-0d1e2f3a4b5c",
channel_id="c1d2e3f4-5a6b-7c8d-9e0f-1a2b3c4d5e6f",
)
)
print(response)
asyncio.run(get_workflow_channel())
{
"id": "c1d2e3f4-5a6b-7c8d-9e0f-1a2b3c4d5e6f",
"channel_type": "webhook",
"description": "Job status alerts",
"event_types": ["job.completed", "job.failed"],
"enabled": true,
"url": "https://hooks.example.com/notify",
"created_at": "2026-04-29T10:00:00Z",
"updated_at": "2026-04-29T10:00:00Z"
}
Workflow
Get workflow notification channel
Get workflow-scoped notification channel by ID.
GET
/
api
/
v1
/
workflows
/
{workflow_id}
/
notifications
/
channels
/
{channel_id}
curl --request GET \
--url "${UNSTRUCTURED_API_URL}/api/v1/workflows/f0a1b2c3-4d5e-6f7a-8b9c-0d1e2f3a4b5c/notifications/channels/c1d2e3f4-5a6b-7c8d-9e0f-1a2b3c4d5e6f" \
--header "unstructured-api-key: ${UNSTRUCTURED_API_KEY}"
import os
from unstructured_client import UnstructuredClient
from unstructured_client.models.operations import GetWorkflowChannelApiV1WorkflowsWorkflowIdNotificationsChannelsChannelIdGetRequest
client = UnstructuredClient(
api_key_auth=os.getenv("UNSTRUCTURED_API_KEY"),
server_url=os.getenv("UNSTRUCTURED_API_URL"),
)
response = client.workflows.get_workflow_channel(
request=GetWorkflowChannelApiV1WorkflowsWorkflowIdNotificationsChannelsChannelIdGetRequest(
workflow_id="f0a1b2c3-4d5e-6f7a-8b9c-0d1e2f3a4b5c",
channel_id="c1d2e3f4-5a6b-7c8d-9e0f-1a2b3c4d5e6f",
)
)
print(response)
import asyncio
import os
from unstructured_client import UnstructuredClient
from unstructured_client.models.operations import GetWorkflowChannelApiV1WorkflowsWorkflowIdNotificationsChannelsChannelIdGetRequest
async def get_workflow_channel():
client = UnstructuredClient(
api_key_auth=os.getenv("UNSTRUCTURED_API_KEY"),
server_url=os.getenv("UNSTRUCTURED_API_URL"),
)
response = await client.workflows.get_workflow_channel_async(
request=GetWorkflowChannelApiV1WorkflowsWorkflowIdNotificationsChannelsChannelIdGetRequest(
workflow_id="f0a1b2c3-4d5e-6f7a-8b9c-0d1e2f3a4b5c",
channel_id="c1d2e3f4-5a6b-7c8d-9e0f-1a2b3c4d5e6f",
)
)
print(response)
asyncio.run(get_workflow_channel())
{
"id": "c1d2e3f4-5a6b-7c8d-9e0f-1a2b3c4d5e6f",
"channel_type": "webhook",
"description": "Job status alerts",
"event_types": ["job.completed", "job.failed"],
"enabled": true,
"url": "https://hooks.example.com/notify",
"created_at": "2026-04-29T10:00:00Z",
"updated_at": "2026-04-29T10:00:00Z"
}
Path parameters
string
required
The unique identifier of the workflow.
string
required
The unique identifier of the notification channel.
Response
string
required
Unique identifier for the channel.
string
required
Channel type:
webhook or email.For more information, see Webhooks and Email notifications.array
required
Subscribed event types.
boolean
required
Whether the channel is active.
string
required
ISO 8601 timestamp when the channel was created.
string
required
ISO 8601 timestamp when the channel was last updated.
string
Channel description.
string
Webhook endpoint URL. Present when
channel_type is webhook.object
Email delivery configuration. Present when
channel_type is email.curl --request GET \
--url "${UNSTRUCTURED_API_URL}/api/v1/workflows/f0a1b2c3-4d5e-6f7a-8b9c-0d1e2f3a4b5c/notifications/channels/c1d2e3f4-5a6b-7c8d-9e0f-1a2b3c4d5e6f" \
--header "unstructured-api-key: ${UNSTRUCTURED_API_KEY}"
import os
from unstructured_client import UnstructuredClient
from unstructured_client.models.operations import GetWorkflowChannelApiV1WorkflowsWorkflowIdNotificationsChannelsChannelIdGetRequest
client = UnstructuredClient(
api_key_auth=os.getenv("UNSTRUCTURED_API_KEY"),
server_url=os.getenv("UNSTRUCTURED_API_URL"),
)
response = client.workflows.get_workflow_channel(
request=GetWorkflowChannelApiV1WorkflowsWorkflowIdNotificationsChannelsChannelIdGetRequest(
workflow_id="f0a1b2c3-4d5e-6f7a-8b9c-0d1e2f3a4b5c",
channel_id="c1d2e3f4-5a6b-7c8d-9e0f-1a2b3c4d5e6f",
)
)
print(response)
import asyncio
import os
from unstructured_client import UnstructuredClient
from unstructured_client.models.operations import GetWorkflowChannelApiV1WorkflowsWorkflowIdNotificationsChannelsChannelIdGetRequest
async def get_workflow_channel():
client = UnstructuredClient(
api_key_auth=os.getenv("UNSTRUCTURED_API_KEY"),
server_url=os.getenv("UNSTRUCTURED_API_URL"),
)
response = await client.workflows.get_workflow_channel_async(
request=GetWorkflowChannelApiV1WorkflowsWorkflowIdNotificationsChannelsChannelIdGetRequest(
workflow_id="f0a1b2c3-4d5e-6f7a-8b9c-0d1e2f3a4b5c",
channel_id="c1d2e3f4-5a6b-7c8d-9e0f-1a2b3c4d5e6f",
)
)
print(response)
asyncio.run(get_workflow_channel())
{
"id": "c1d2e3f4-5a6b-7c8d-9e0f-1a2b3c4d5e6f",
"channel_type": "webhook",
"description": "Job status alerts",
"event_types": ["job.completed", "job.failed"],
"enabled": true,
"url": "https://hooks.example.com/notify",
"created_at": "2026-04-29T10:00:00Z",
"updated_at": "2026-04-29T10:00:00Z"
}
Was this page helpful?
⌘I

